//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "mainUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "VirtualTrees"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::VirtualStringTree1GetNodeDataSize(
      TBaseVirtualTree *Sender, int &NodeDataSize)
{
    NodeDataSize = sizeof(structNodeData);    
}
//---------------------------------------------------------------------------
void __fastcall TForm1::VirtualStringTree1GetText(TBaseVirtualTree *Sender,
      PVirtualNode Node, TColumnIndex Column, TVSTTextType TextType,
      WideString &CellText)
{
    if (!Node)
        return;

    structNodeData *pNodeData = (structNodeData *)Sender->GetNodeData(Node);
    CellText = pNodeData->Value;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::VirtualStringTree1GetImageIndex(
      TBaseVirtualTree *Sender, PVirtualNode Node, TVTImageKind Kind,
      TColumnIndex Column, bool &Ghosted, int &ImageIndex)
{
    if (!Node)
        return;

    if (Column == 0)
    {
        structNodeData *pNodeData = (structNodeData *)Sender->GetNodeData(Node);
        ImageIndex = pNodeData->ImageIndex;
    }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::BtnAddRootNodeClick(TObject *Sender)
{
    PVirtualNode Node;
    structNodeData *pNodeData;

    Node = VirtualStringTree1->AddChild(NULL); 
    if (Node) 
    { 
        pNodeData = (structNodeData *)VirtualStringTree1->GetNodeData(Node);
        pNodeData->Value = "Ʈ";
        pNodeData->ImageIndex = 0;
    }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::BtnAddChildNodeClick(TObject *Sender)
{
    PVirtualNode Node;
    structNodeData *pNodeData;

    if (!VirtualStringTree1->FocusedNode)
        return;

    Node = VirtualStringTree1->AddChild(VirtualStringTree1->FocusedNode);
    if (Node) 
    {
        pNodeData = (structNodeData *)VirtualStringTree1->GetNodeData(Node);
        pNodeData->Value = "ڽĳ";
        pNodeData->ImageIndex = 1;
    }
}
//---------------------------------------------------------------------------
