//---------------------------------------------------------------------------

#ifndef mainUnitH
#define mainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "VirtualTrees.hpp"
#include <ExtCtrls.hpp>
#include <ImgList.hpp>

typedef struct tagNodeData {
    AnsiString Value;       //  
    int ImageIndex;         //  ̹ ε 
} structNodeData;


//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TVirtualStringTree *VirtualStringTree1;
    TPanel *Panel1;
    TButton *BtnAddRootNode;
    TButton *BtnAddChildNode;
    TImageList *ImageList1;
    void __fastcall VirtualStringTree1GetNodeDataSize(
          TBaseVirtualTree *Sender, int &NodeDataSize);
    void __fastcall VirtualStringTree1GetText(TBaseVirtualTree *Sender,
          PVirtualNode Node, TColumnIndex Column, TVSTTextType TextType,
          WideString &CellText);
    void __fastcall VirtualStringTree1GetImageIndex(
          TBaseVirtualTree *Sender, PVirtualNode Node, TVTImageKind Kind,
          TColumnIndex Column, bool &Ghosted, int &ImageIndex);
    void __fastcall BtnAddRootNodeClick(TObject *Sender);
    void __fastcall BtnAddChildNodeClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
